Bug 1857928 - [sig-operator] an end user use OLM can subscribe to the cockroachdb operator
Summary: [sig-operator] an end user use OLM can subscribe to the cockroachdb operator
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.6
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.6.0
Assignee: Evan Cordell
QA Contact: Jian Zhang
URL:
Whiteboard:
: 1862322 (view as bug list)
Depends On: 1866861
Blocks: 1879873
TreeView+ depends on / blocked
 
Reported: 2020-07-16 18:26 UTC by Akhil Rane
Modified: 2020-10-27 16:15 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1879873 (view as bug list)
Environment:
[sig-operator] an end user use OLM can subscribe to the cockroachdb operator
Last Closed: 2020-10-27 16:15:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 25323 0 None closed Bug 1857928: switch to amq operator from cockroach for olm sanity test 2020-09-21 14:06:15 UTC
Github openshift origin pull 25353 0 None closed Bug 1857928: Re-enable olm tests 2020-09-21 14:06:14 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:15:45 UTC

Description Akhil Rane 2020-07-16 18:26:50 UTC
test:
[sig-operator] an end user use OLM can subscribe to the cockroachdb operator 

is failing frequently in CI, see search results:
https://search.svc.ci.openshift.org/?maxAge=168h&context=1&type=bug%2Bjunit&name=&maxMatches=5&maxBytes=20971520&groupBy=job&search=%5C%5Bsig-operator%5C%5D+an+end+user+use+OLM+can+subscribe+to+the+cockroachdb+operator


https://prow.svc.ci.openshift.org/job-history/origin-ci-test/logs/release-openshift-origin-installer-e2e-gcp-4.5

STEP: Collecting events from namespace "e2e-test-olm-23440-562p6".
STEP: Found 0 events.
Jul 16 15:43:48.384: INFO: POD  NODE  PHASE  GRACE  CONDITIONS
Jul 16 15:43:48.384: INFO: 
Jul 16 15:43:48.409: INFO: skipping dumping cluster info - cluster too large
Jul 16 15:43:48.441: INFO: Deleted {user.openshift.io/v1, Resource=users  e2e-test-olm-23440-562p6-user}, err: <nil>
Jul 16 15:43:48.459: INFO: Deleted {oauth.openshift.io/v1, Resource=oauthclients  e2e-client-e2e-test-olm-23440-562p6}, err: <nil>
Jul 16 15:43:48.480: INFO: Deleted {oauth.openshift.io/v1, Resource=oauthaccesstokens  4PxH485iRkSDI_tj7l_8ygAAAAAAAAAA}, err: <nil>
[AfterEach] [sig-operator] an end user use OLM
  /go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/test/extended/util/client.go:134
Jul 16 15:43:48.480: INFO: Waiting up to 7m0s for all (but 100) nodes to be ready
STEP: Destroying namespace "e2e-test-olm-23440-562p6" for this suite.
Jul 16 15:43:48.519: INFO: Running AfterSuite actions on all nodes
Jul 16 15:43:48.519: INFO: Running AfterSuite actions on node 1
fail [github.com/openshift/origin/test/extended/operators/olm.go:209]: Unexpected error:
    <*errors.errorString | 0xc0001d4970>: {
        s: "timed out waiting for the condition",
    }
    timed out waiting for the condition
occurred

Comment 6 Miciah Dashiel Butler Masters 2020-07-31 03:47:17 UTC
I saw "[sig-operator] an end user can use OLM can subscribe to the operator" fail with the following error on one of my PRs:

    fail [github.com/openshift/origin@/test/extended/operators/olm.go:199]: Timed out after 300.004s.
    Expected
        <string>: 
    not to equal
        <string>: 

The failing CI job is <https://prow.ci.openshift.org/view/gs/origin-ci-test/pr-logs/pull/openshift_cluster-ingress-operator/410/pull-ci-openshift-cluster-ingress-operator-master-e2e-aws/1288960909191942144>.

Could this indicate a problem with the fix, or is it probably a separate issue?

Comment 7 Stefan Schimanski 2020-07-31 05:26:29 UTC
This blocks 30% of e2e-aws runs. Even though merged 16h ago, it's visible in newer CI runs.

Comment 8 Jian Zhang 2020-08-03 06:28:38 UTC
It did work well in the OCP 4.6 cluster, as follows. But above the Comment 6, 7, seems like it's unstable. The AMQ Streams failed to install sometimes. 

[root@preserve-olm-env origin]# oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.6.0-0.nightly-2020-08-02-091622   True        False         4h32m   Cluster version is 4.6.0-0.nightly-2020-08-02-091622

[root@preserve-olm-env origin]# ./openshift-tests run all --dry-run |grep "OLM can subscribe to the operator" |./openshift-tests run -f -
I0803 02:17:17.908130   15163 test_context.go:427] Tolerating taints "node-role.kubernetes.io/master" when considering if nodes are ready
openshift-tests version: v4.1.0-3025-gfd96564
I0803 02:17:18.112297   15165 test_context.go:427] Tolerating taints "node-role.kubernetes.io/master" when considering if nodes are ready
started: (0/1/1) "[sig-operator] an end user can use OLM can subscribe to the operator [Disabled:Broken] [Suite:openshift]"

I0803 02:17:18.368846   15246 test_context.go:427] Tolerating taints "node-role.kubernetes.io/master" when considering if nodes are ready
Aug  3 02:17:18.425: INFO: Waiting up to 30m0s for all (but 100) nodes to be schedulable
Aug  3 02:17:18.548: INFO: Waiting up to 10m0s for all pods (need at least 0) in namespace 'kube-system' to be running and ready
Aug  3 02:17:18.636: INFO: 0 / 0 pods in namespace 'kube-system' are running and ready (0 seconds elapsed)
Aug  3 02:17:18.636: INFO: expected 0 pod replicas in namespace 'kube-system', 0 are Running and Ready.
Aug  3 02:17:18.636: INFO: Waiting up to 5m0s for all daemonsets in namespace 'kube-system' to start
Aug  3 02:17:18.662: INFO: e2e test version: v0.0.0-master+$Format:%h$
Aug  3 02:17:18.682: INFO: kube-apiserver version: v4.6.0-202008011154.p0-dirty
Aug  3 02:17:18.707: INFO: Cluster IP family: ipv4
[BeforeEach] [Top Level]
  github.com/openshift/origin/test/extended/util/framework.go:1425
[BeforeEach] [Top Level]
  github.com/openshift/origin/test/extended/util/framework.go:1425
[BeforeEach] [Top Level]
  github.com/openshift/origin/test/extended/util/test.go:59
[BeforeEach] [sig-operator] an end user can use OLM
  github.com/openshift/origin/test/extended/util/client.go:135
STEP: Creating a kubernetes client
[BeforeEach] [sig-operator] an end user can use OLM
  github.com/openshift/origin/test/extended/util/client.go:111
Aug  3 02:17:18.966: INFO: configPath is now "/tmp/configfile351713328"
Aug  3 02:17:18.966: INFO: The user is now "e2e-test-olm-23440-78pdw-user"
Aug  3 02:17:18.966: INFO: Creating project "e2e-test-olm-23440-78pdw"
Aug  3 02:17:19.135: INFO: Waiting on permissions in project "e2e-test-olm-23440-78pdw" ...
Aug  3 02:17:19.157: INFO: Waiting for ServiceAccount "default" to be provisioned...
Aug  3 02:17:19.281: INFO: Waiting for ServiceAccount "deployer" to be provisioned...
Aug  3 02:17:19.406: INFO: Waiting for ServiceAccount "builder" to be provisioned...
Aug  3 02:17:19.531: INFO: Waiting for RoleBinding "system:image-pullers" to be provisioned...
Aug  3 02:17:19.579: INFO: Waiting for RoleBinding "system:image-builders" to be provisioned...
Aug  3 02:17:19.624: INFO: Waiting for RoleBinding "system:deployers" to be provisioned...
Aug  3 02:17:34.707: INFO: Project "e2e-test-olm-23440-78pdw" has been fully provisioned.
[BeforeEach] [sig-operator] an end user can use OLM
  github.com/openshift/origin/test/extended/util/framework.go:1425
[It] can subscribe to the operator [Disabled:Broken] [Suite:openshift]
  github.com/openshift/origin/test/extended/operators/olm.go:166
STEP: Cluster-admin user subscribe the operator resource
Aug  3 02:17:34.708: INFO: Running 'oc --namespace=e2e-test-olm-23440-78pdw --kubeconfig=/data/goproject/src/github.com/openshift/origin/anli-kubeconfig process --ignore-unknown-parameters=true -f /tmp/fixture-testdata-dir775024341/test/extended/testdata/olm/operatorgroup.yaml -p NAME=test-operator NAMESPACE=e2e-test-olm-23440-78pdw'
Aug  3 02:17:34.927: INFO: Running 'oc --kubeconfig=/data/goproject/src/github.com/openshift/origin/anli-kubeconfig create -f /tmp/e2e-test-olm-23440-78pdw-config.json'
operatorgroup.operators.coreos.com/test-operator created
Aug  3 02:17:35.153: INFO: Running 'oc --namespace=e2e-test-olm-23440-78pdw --kubeconfig=/data/goproject/src/github.com/openshift/origin/anli-kubeconfig get -n e2e-test-olm-23440-78pdw operatorgroup test-operator -o=jsonpath={.status.namespaces}'
Aug  3 02:17:35.349: INFO: Running 'oc --namespace=e2e-test-olm-23440-78pdw --kubeconfig=/data/goproject/src/github.com/openshift/origin/anli-kubeconfig process --ignore-unknown-parameters=true -f /tmp/fixture-testdata-dir775024341/test/extended/testdata/olm/subscription.yaml -p NAME=test-operator NAMESPACE=e2e-test-olm-23440-78pdw SOURCENAME=redhat-operators SOURCENAMESPACE=openshift-marketplace PACKAGE=amq-streams CHANNEL=stable'
Aug  3 02:17:35.546: INFO: Running 'oc --kubeconfig=/data/goproject/src/github.com/openshift/origin/anli-kubeconfig create -f /tmp/e2e-test-olm-23440-78pdw-config.json'
subscription.operators.coreos.com/test-operator created
Aug  3 02:17:35.774: INFO: Running 'oc --namespace=e2e-test-olm-23440-78pdw --kubeconfig=/data/goproject/src/github.com/openshift/origin/anli-kubeconfig get -n e2e-test-olm-23440-78pdw subscription test-operator -o=jsonpath={.status.installedCSV}'
Aug  3 02:17:37.003: INFO: Running 'oc --namespace=e2e-test-olm-23440-78pdw --kubeconfig=/data/goproject/src/github.com/openshift/origin/anli-kubeconfig get -n e2e-test-olm-23440-78pdw subscription test-operator -o=jsonpath={.status.installedCSV}'
Aug  3 02:17:38.244: INFO: Running 'oc --namespace=e2e-test-olm-23440-78pdw --kubeconfig=/data/goproject/src/github.com/openshift/origin/anli-kubeconfig get -n e2e-test-olm-23440-78pdw subscription test-operator -o=jsonpath={.status.installedCSV}'
Aug  3 02:17:39.500: INFO: Running 'oc --namespace=e2e-test-olm-23440-78pdw --kubeconfig=/data/goproject/src/github.com/openshift/origin/anli-kubeconfig get -n e2e-test-olm-23440-78pdw subscription test-operator -o=jsonpath={.status.installedCSV}'
Aug  3 02:17:40.730: INFO: Running 'oc --namespace=e2e-test-olm-23440-78pdw --kubeconfig=/data/goproject/src/github.com/openshift/origin/anli-kubeconfig get -n e2e-test-olm-23440-78pdw subscription test-operator -o=jsonpath={.status.installedCSV}'
Aug  3 02:17:41.929: INFO: Running 'oc --namespace=e2e-test-olm-23440-78pdw --kubeconfig=/data/goproject/src/github.com/openshift/origin/anli-kubeconfig get -n e2e-test-olm-23440-78pdw subscription test-operator -o=jsonpath={.status.installedCSV}'
Aug  3 02:17:43.135: INFO: Running 'oc --namespace=e2e-test-olm-23440-78pdw --kubeconfig=/data/goproject/src/github.com/openshift/origin/anli-kubeconfig get -n e2e-test-olm-23440-78pdw subscription test-operator -o=jsonpath={.status.installedCSV}'
Aug  3 02:17:43.354: INFO: Running 'oc --namespace=e2e-test-olm-23440-78pdw --kubeconfig=/data/goproject/src/github.com/openshift/origin/anli-kubeconfig get -n e2e-test-olm-23440-78pdw csv amqstreams.v1.5.2 -o=jsonpath={.status.phase}'
Aug  3 02:17:44.591: INFO: Running 'oc --namespace=e2e-test-olm-23440-78pdw --kubeconfig=/data/goproject/src/github.com/openshift/origin/anli-kubeconfig get -n e2e-test-olm-23440-78pdw csv amqstreams.v1.5.2 -o=jsonpath={.status.phase}'
Aug  3 02:17:45.841: INFO: Running 'oc --namespace=e2e-test-olm-23440-78pdw --kubeconfig=/data/goproject/src/github.com/openshift/origin/anli-kubeconfig get -n e2e-test-olm-23440-78pdw csv amqstreams.v1.5.2 -o=jsonpath={.status.phase}'
Aug  3 02:17:47.123: INFO: Running 'oc --namespace=e2e-test-olm-23440-78pdw --kubeconfig=/data/goproject/src/github.com/openshift/origin/anli-kubeconfig get -n e2e-test-olm-23440-78pdw csv amqstreams.v1.5.2 -o=jsonpath={.status.phase}'
Aug  3 02:17:48.374: INFO: Running 'oc --namespace=e2e-test-olm-23440-78pdw --kubeconfig=/data/goproject/src/github.com/openshift/origin/anli-kubeconfig get -n e2e-test-olm-23440-78pdw csv amqstreams.v1.5.2 -o=jsonpath={.status.phase}'
Aug  3 02:17:49.626: INFO: Running 'oc --namespace=e2e-test-olm-23440-78pdw --kubeconfig=/data/goproject/src/github.com/openshift/origin/anli-kubeconfig get -n e2e-test-olm-23440-78pdw csv amqstreams.v1.5.2 -o=jsonpath={.status.phase}'
Aug  3 02:17:50.872: INFO: Running 'oc --namespace=e2e-test-olm-23440-78pdw --kubeconfig=/data/goproject/src/github.com/openshift/origin/anli-kubeconfig get -n e2e-test-olm-23440-78pdw csv amqstreams.v1.5.2 -o=jsonpath={.status.phase}'
Aug  3 02:17:52.166: INFO: Running 'oc --namespace=e2e-test-olm-23440-78pdw --kubeconfig=/data/goproject/src/github.com/openshift/origin/anli-kubeconfig get -n e2e-test-olm-23440-78pdw csv amqstreams.v1.5.2 -o=jsonpath={.status.phase}'
Aug  3 02:17:53.413: INFO: Running 'oc --namespace=e2e-test-olm-23440-78pdw --kubeconfig=/data/goproject/src/github.com/openshift/origin/anli-kubeconfig get -n e2e-test-olm-23440-78pdw csv amqstreams.v1.5.2 -o=jsonpath={.status.phase}'
Aug  3 02:17:54.693: INFO: Running 'oc --namespace=e2e-test-olm-23440-78pdw --kubeconfig=/data/goproject/src/github.com/openshift/origin/anli-kubeconfig get -n e2e-test-olm-23440-78pdw csv amqstreams.v1.5.2 -o=jsonpath={.status.phase}'
Aug  3 02:17:55.947: INFO: Running 'oc --namespace=e2e-test-olm-23440-78pdw --kubeconfig=/data/goproject/src/github.com/openshift/origin/anli-kubeconfig get -n e2e-test-olm-23440-78pdw csv amqstreams.v1.5.2 -o=jsonpath={.status.phase}'
Aug  3 02:17:57.217: INFO: Running 'oc --namespace=e2e-test-olm-23440-78pdw --kubeconfig=/data/goproject/src/github.com/openshift/origin/anli-kubeconfig get -n e2e-test-olm-23440-78pdw csv amqstreams.v1.5.2 -o=jsonpath={.status.phase}'
Aug  3 02:17:58.520: INFO: Running 'oc --namespace=e2e-test-olm-23440-78pdw --kubeconfig=/data/goproject/src/github.com/openshift/origin/anli-kubeconfig get -n e2e-test-olm-23440-78pdw csv amqstreams.v1.5.2 -o=jsonpath={.status.phase}'
Aug  3 02:17:59.789: INFO: Running 'oc --namespace=e2e-test-olm-23440-78pdw --kubeconfig=/data/goproject/src/github.com/openshift/origin/anli-kubeconfig get -n e2e-test-olm-23440-78pdw csv amqstreams.v1.5.2 -o=jsonpath={.status.phase}'
Aug  3 02:18:01.069: INFO: Running 'oc --namespace=e2e-test-olm-23440-78pdw --kubeconfig=/data/goproject/src/github.com/openshift/origin/anli-kubeconfig get -n e2e-test-olm-23440-78pdw csv amqstreams.v1.5.2 -o=jsonpath={.status.phase}'
Aug  3 02:18:02.322: INFO: Running 'oc --namespace=e2e-test-olm-23440-78pdw --kubeconfig=/data/goproject/src/github.com/openshift/origin/anli-kubeconfig get -n e2e-test-olm-23440-78pdw csv amqstreams.v1.5.2 -o=jsonpath={.status.phase}'
Aug  3 02:18:03.571: INFO: Running 'oc --namespace=e2e-test-olm-23440-78pdw --kubeconfig=/data/goproject/src/github.com/openshift/origin/anli-kubeconfig get -n e2e-test-olm-23440-78pdw csv amqstreams.v1.5.2 -o=jsonpath={.status.phase}'
Aug  3 02:18:04.852: INFO: Running 'oc --namespace=e2e-test-olm-23440-78pdw --kubeconfig=/data/goproject/src/github.com/openshift/origin/anli-kubeconfig get -n e2e-test-olm-23440-78pdw csv amqstreams.v1.5.2 -o=jsonpath={.status.phase}'
Aug  3 02:18:06.100: INFO: Running 'oc --namespace=e2e-test-olm-23440-78pdw --kubeconfig=/data/goproject/src/github.com/openshift/origin/anli-kubeconfig get -n e2e-test-olm-23440-78pdw csv amqstreams.v1.5.2 -o=jsonpath={.status.phase}'
Aug  3 02:18:07.376: INFO: Running 'oc --namespace=e2e-test-olm-23440-78pdw --kubeconfig=/data/goproject/src/github.com/openshift/origin/anli-kubeconfig get -n e2e-test-olm-23440-78pdw csv amqstreams.v1.5.2 -o=jsonpath={.status.phase}'
Aug  3 02:18:08.655: INFO: Running 'oc --namespace=e2e-test-olm-23440-78pdw --kubeconfig=/data/goproject/src/github.com/openshift/origin/anli-kubeconfig get -n e2e-test-olm-23440-78pdw csv amqstreams.v1.5.2 -o=jsonpath={.status.phase}'
Aug  3 02:18:09.908: INFO: Running 'oc --namespace=e2e-test-olm-23440-78pdw --kubeconfig=/data/goproject/src/github.com/openshift/origin/anli-kubeconfig get -n e2e-test-olm-23440-78pdw csv amqstreams.v1.5.2 -o=jsonpath={.status.phase}'
Aug  3 02:18:10.155: INFO: Running 'oc --namespace=e2e-test-olm-23440-78pdw --kubeconfig=/data/goproject/src/github.com/openshift/origin/anli-kubeconfig delete -n e2e-test-olm-23440-78pdw csv amqstreams.v1.5.2'
[AfterEach] [sig-operator] an end user can use OLM
  github.com/openshift/origin/test/extended/util/client.go:133
Aug  3 02:18:10.486: INFO: Deleted {user.openshift.io/v1, Resource=users  e2e-test-olm-23440-78pdw-user}, err: <nil>
Aug  3 02:18:10.523: INFO: Deleted {oauth.openshift.io/v1, Resource=oauthclients  e2e-client-e2e-test-olm-23440-78pdw}, err: <nil>
Aug  3 02:18:10.562: INFO: Deleted {oauth.openshift.io/v1, Resource=oauthaccesstokens  7csVWZjFQdCIDhvBLccylgAAAAAAAAAA}, err: <nil>
[AfterEach] [sig-operator] an end user can use OLM
  github.com/openshift/origin/test/extended/util/client.go:134
Aug  3 02:18:10.562: INFO: Waiting up to 7m0s for all (but 100) nodes to be ready
STEP: Destroying namespace "e2e-test-olm-23440-78pdw" for this suite.
Aug  3 02:18:10.660: INFO: Running AfterSuite actions on all nodes
Aug  3 02:18:10.661: INFO: Running AfterSuite actions on node 1

passed: (52.5s) 2020-08-03T06:18:10 "[sig-operator] an end user can use OLM can subscribe to the operator [Disabled:Broken] [Suite:openshift]"


Timeline:

Aug 03 06:17:42.472 I ns/e2e-test-olm-23440-78pdw clusterserviceversion/amqstreams.v1.5.2 reason/RequirementsUnknown requirements not yet checked
Aug 03 06:17:42.669 I ns/e2e-test-olm-23440-78pdw clusterserviceversion/amqstreams.v1.5.2 reason/RequirementsNotMet one or more requirements couldn't be found
Aug 03 06:17:47.236 I ns/e2e-test-olm-23440-78pdw clusterserviceversion/amqstreams.v1.5.2 reason/AllRequirementsMet all requirements found, attempting install
Aug 03 06:17:47.367 I ns/e2e-test-olm-23440-78pdw clusterserviceversion/amqstreams.v1.5.2 reason/InstallSucceeded waiting for install components to report healthy
Aug 03 06:17:47.388 I ns/e2e-test-olm-23440-78pdw deployment/amq-streams-cluster-operator-v1.5.2 reason/ScalingReplicaSet Scaled up replica set amq-streams-cluster-operator-v1.5.2-78f78c9dd9 to 1
Aug 03 06:17:47.467 I ns/e2e-test-olm-23440-78pdw replicaset/amq-streams-cluster-operator-v1.5.2-78f78c9dd9 reason/SuccessfulCreate Created pod: amq-streams-cluster-operator-v1.5.2-78f78c9dd9-w6gt8
Aug 03 06:17:47.472 I ns/e2e-test-olm-23440-78pdw pod/amq-streams-cluster-operator-v1.5.2-78f78c9dd9-w6gt8 node/ reason/Created
Aug 03 06:17:47.486 I ns/e2e-test-olm-23440-78pdw pod/amq-streams-cluster-operator-v1.5.2-78f78c9dd9-w6gt8 node/ip-10-0-209-105.us-east-2.compute.internal reason/Scheduled
Aug 03 06:17:47.519 I ns/e2e-test-olm-23440-78pdw clusterserviceversion/amqstreams.v1.5.2 reason/InstallWaiting installing: waiting for deployment amq-streams-cluster-operator-v1.5.2 to become ready: Waiting for rollout to finish: 0 out of 1 new replicas have been updated...\n
Aug 03 06:17:47.625 I ns/e2e-test-olm-23440-78pdw clusterserviceversion/amqstreams.v1.5.2 reason/InstallWaiting installing: waiting for deployment amq-streams-cluster-operator-v1.5.2 to become ready: Waiting for rollout to finish: 0 of 1 updated replicas are available...\n
Aug 03 06:17:49.741 I ns/e2e-test-olm-23440-78pdw pod/amq-streams-cluster-operator-v1.5.2-78f78c9dd9-w6gt8 reason/AddedInterface Add eth0 [10.128.2.6/23]
Aug 03 06:17:50.149 I ns/e2e-test-olm-23440-78pdw pod/amq-streams-cluster-operator-v1.5.2-78f78c9dd9-w6gt8 node/ip-10-0-209-105.us-east-2.compute.internal container/cluster-operator reason/Pulled image/registry.redhat.io/amq7/amq-streams-rhel7-operator@sha256:f271230edd4d556f327a61ae3cee430cf5b3969b70cbda5b65c1739262932a21
Aug 03 06:17:50.258 I ns/e2e-test-olm-23440-78pdw pod/amq-streams-cluster-operator-v1.5.2-78f78c9dd9-w6gt8 node/ip-10-0-209-105.us-east-2.compute.internal container/cluster-operator reason/Created
Aug 03 06:17:50.287 I ns/e2e-test-olm-23440-78pdw pod/amq-streams-cluster-operator-v1.5.2-78f78c9dd9-w6gt8 node/ip-10-0-209-105.us-east-2.compute.internal container/cluster-operator reason/Started
Aug 03 06:18:08.933 I ns/e2e-test-olm-23440-78pdw pod/amq-streams-cluster-operator-v1.5.2-78f78c9dd9-w6gt8 node/ip-10-0-209-105.us-east-2.compute.internal container/cluster-operator reason/Ready
Aug 03 06:18:09.062 I ns/e2e-test-olm-23440-78pdw clusterserviceversion/amqstreams.v1.5.2 reason/InstallSucceeded install strategy completed with no errors
Aug 03 06:18:10.574 I ns/e2e-test-olm-23440-78pdw pod/amq-streams-cluster-operator-v1.5.2-78f78c9dd9-w6gt8 node/ip-10-0-209-105.us-east-2.compute.internal container/cluster-operator reason/Killing
Aug 03 06:18:10.575 W ns/e2e-test-olm-23440-78pdw pod/amq-streams-cluster-operator-v1.5.2-78f78c9dd9-w6gt8 node/ip-10-0-209-105.us-east-2.compute.internal reason/GracefulDelete in 30s

1 pass, 0 skip (52.5s)

Comment 9 Evan Cordell 2020-08-06 12:07:11 UTC
*** Bug 1862322 has been marked as a duplicate of this bug. ***

Comment 10 Evan Cordell 2020-09-10 12:09:30 UTC
Updating the state of this bug - 

Currently waiting on 1866861 to merge, and 4.5.9 to be released to include it. Then the pipelines need to be updated to output the 4.6 index based on the 4.5.9 image. Then the test should begin passing in the linked PR and the PR can merge.

Comment 11 Evan Cordell 2020-09-11 13:04:38 UTC
See previous comment, 4.5.9 is currently scheduled for Sept. 16th, which will be next sprint. The linked PR should be mergeable at that time.

Comment 13 Jian Zhang 2020-09-16 08:28:26 UTC
Verify it, it did works well in my laptop. Details:

[root@preserve-olm-env origin]# git log
commit 65936f14af7655411cf251eeabd40ce21b79bde8
Merge: bf5a278 8568563
Author: Michal Fojtik <mfojtik@redhat.com>
Date:   Wed Sep 16 09:46:45 2020 +0200

    Merge pull request #25508 from mfojtik/skip-olm-test
...

[root@preserve-olm-env origin]# ls -l ./openshift-tests 
-rwxr-xr-x. 1 root root 155686672 Sep 16 04:14 ./openshift-tests
[root@preserve-olm-env origin]# 
[root@preserve-olm-env origin]# ./openshift-tests run all --dry-run |grep "OLM can subscribe to the operator" |./openshift-tests run -f -
I0916 04:16:06.936266   25179 test_context.go:427] Tolerating taints "node-role.kubernetes.io/master" when considering if nodes are ready
openshift-tests version: v4.1.0-3164-g65936f1
I0916 04:16:07.217488   25181 test_context.go:427] Tolerating taints "node-role.kubernetes.io/master" when considering if nodes are ready
started: (0/1/1) "[sig-operator] an end user can use OLM can subscribe to the operator [Suite:openshift/conformance/parallel]"

I0916 04:16:07.449356   25212 test_context.go:427] Tolerating taints "node-role.kubernetes.io/master" when considering if nodes are ready
Sep 16 04:16:07.494: INFO: Waiting up to 30m0s for all (but 100) nodes to be schedulable
Sep 16 04:16:07.616: INFO: Waiting up to 10m0s for all pods (need at least 0) in namespace 'kube-system' to be running and ready
Sep 16 04:16:07.713: INFO: 0 / 0 pods in namespace 'kube-system' are running and ready (0 seconds elapsed)
Sep 16 04:16:07.713: INFO: expected 0 pod replicas in namespace 'kube-system', 0 are Running and Ready.
Sep 16 04:16:07.713: INFO: Waiting up to 5m0s for all daemonsets in namespace 'kube-system' to start
Sep 16 04:16:07.741: INFO: e2e test version: v0.0.0-master+$Format:%h$
Sep 16 04:16:07.761: INFO: kube-apiserver version: v1.19.0+35ab7c5
Sep 16 04:16:07.783: INFO: Cluster IP family: ipv4
[BeforeEach] [Top Level]
  github.com/openshift/origin/test/extended/util/framework.go:1425
[BeforeEach] [Top Level]
  github.com/openshift/origin/test/extended/util/framework.go:1425
[BeforeEach] [Top Level]
  github.com/openshift/origin/test/extended/util/test.go:59
[BeforeEach] [sig-operator] an end user can use OLM
  github.com/openshift/origin/test/extended/util/client.go:135
STEP: Creating a kubernetes client
[BeforeEach] [sig-operator] an end user can use OLM
  github.com/openshift/origin/test/extended/util/client.go:111
Sep 16 04:16:08.019: INFO: configPath is now "/tmp/configfile348025642"
Sep 16 04:16:08.019: INFO: The user is now "e2e-test-olm-23440-nr6x5-user"
Sep 16 04:16:08.019: INFO: Creating project "e2e-test-olm-23440-nr6x5"
Sep 16 04:16:08.208: INFO: Waiting on permissions in project "e2e-test-olm-23440-nr6x5" ...
Sep 16 04:16:08.230: INFO: Waiting for ServiceAccount "default" to be provisioned...
Sep 16 04:16:08.355: INFO: Waiting for ServiceAccount "deployer" to be provisioned...
Sep 16 04:16:08.479: INFO: Waiting for ServiceAccount "builder" to be provisioned...
Sep 16 04:16:08.602: INFO: Waiting for RoleBinding "system:image-pullers" to be provisioned...
Sep 16 04:16:08.646: INFO: Waiting for RoleBinding "system:image-builders" to be provisioned...
Sep 16 04:16:08.689: INFO: Waiting for RoleBinding "system:deployers" to be provisioned...
Sep 16 04:16:23.788: INFO: Project "e2e-test-olm-23440-nr6x5" has been fully provisioned.
[BeforeEach] [sig-operator] an end user can use OLM
  github.com/openshift/origin/test/extended/util/framework.go:1425
[It] can subscribe to the operator [Suite:openshift/conformance/parallel]
  github.com/openshift/origin/test/extended/operators/olm.go:168
STEP: Cluster-admin user subscribe the operator resource
Sep 16 04:16:23.788: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig process --ignore-unknown-parameters=true -f /tmp/fixture-testdata-dir137224503/test/extended/testdata/olm/operatorgroup.yaml -p NAME=test-operator NAMESPACE=e2e-test-olm-23440-nr6x5'
Sep 16 04:16:25.028: INFO: Running 'oc --kubeconfig=/data/nan-kubeconfig create -f /tmp/e2e-test-olm-23440-nr6x5-config.json'
operatorgroup.operators.coreos.com/test-operator created
Sep 16 04:16:25.333: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 operatorgroup test-operator -o=json'
Sep 16 04:16:25.555: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig process --ignore-unknown-parameters=true -f /tmp/fixture-testdata-dir137224503/test/extended/testdata/olm/subscription.yaml -p NAME=test-operator NAMESPACE=e2e-test-olm-23440-nr6x5 SOURCENAME=redhat-operators SOURCENAMESPACE=openshift-marketplace PACKAGE=amq-streams CHANNEL=stable'
Sep 16 04:16:25.791: INFO: Running 'oc --kubeconfig=/data/nan-kubeconfig create -f /tmp/e2e-test-olm-23440-nr6x5-config.json'
subscription.operators.coreos.com/test-operator created
Sep 16 04:16:26.064: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 subscription test-operator -o=jsonpath={.status.installedCSV}'
Sep 16 04:16:27.281: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 subscription test-operator -o=jsonpath={.status.installedCSV}'
Sep 16 04:16:28.498: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 subscription test-operator -o=jsonpath={.status.installedCSV}'
Sep 16 04:16:29.738: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 subscription test-operator -o=jsonpath={.status.installedCSV}'
Sep 16 04:16:30.989: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 subscription test-operator -o=jsonpath={.status.installedCSV}'
Sep 16 04:16:32.225: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 subscription test-operator -o=jsonpath={.status.installedCSV}'
Sep 16 04:16:33.442: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 subscription test-operator -o=jsonpath={.status.installedCSV}'
Sep 16 04:16:34.689: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 subscription test-operator -o=jsonpath={.status.installedCSV}'
Sep 16 04:16:35.922: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 subscription test-operator -o=jsonpath={.status.installedCSV}'
Sep 16 04:16:37.153: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 subscription test-operator -o=jsonpath={.status.installedCSV}'
Sep 16 04:16:38.370: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 subscription test-operator -o=jsonpath={.status.installedCSV}'
Sep 16 04:16:39.619: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 subscription test-operator -o=jsonpath={.status.installedCSV}'
Sep 16 04:16:40.836: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 subscription test-operator -o=jsonpath={.status.installedCSV}'
Sep 16 04:16:42.065: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 subscription test-operator -o=jsonpath={.status.installedCSV}'
Sep 16 04:16:43.299: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 subscription test-operator -o=jsonpath={.status.installedCSV}'
Sep 16 04:16:44.516: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 subscription test-operator -o=jsonpath={.status.installedCSV}'
Sep 16 04:16:45.723: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 subscription test-operator -o=jsonpath={.status.installedCSV}'
Sep 16 04:16:46.967: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 subscription test-operator -o=jsonpath={.status.installedCSV}'
Sep 16 04:16:48.173: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 subscription test-operator -o=jsonpath={.status.installedCSV}'
Sep 16 04:16:49.400: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 subscription test-operator -o=jsonpath={.status.installedCSV}'
Sep 16 04:16:50.738: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 subscription test-operator -o=jsonpath={.status.installedCSV}'
Sep 16 04:16:51.974: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 subscription test-operator -o=jsonpath={.status.installedCSV}'
Sep 16 04:16:53.191: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 subscription test-operator -o=jsonpath={.status.installedCSV}'
Sep 16 04:16:54.432: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 subscription test-operator -o=jsonpath={.status.installedCSV}'
Sep 16 04:16:55.649: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 subscription test-operator -o=jsonpath={.status.installedCSV}'
Sep 16 04:16:56.885: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 subscription test-operator -o=jsonpath={.status.installedCSV}'
Sep 16 04:16:58.116: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 subscription test-operator -o=jsonpath={.status.installedCSV}'
Sep 16 04:16:59.373: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 subscription test-operator -o=jsonpath={.status.installedCSV}'
Sep 16 04:17:00.603: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 subscription test-operator -o=jsonpath={.status.installedCSV}'
Sep 16 04:17:01.831: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 subscription test-operator -o=jsonpath={.status.installedCSV}'
Sep 16 04:17:03.070: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 subscription test-operator -o=jsonpath={.status.installedCSV}'
Sep 16 04:17:04.296: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 subscription test-operator -o=jsonpath={.status.installedCSV}'
Sep 16 04:17:05.566: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 subscription test-operator -o=jsonpath={.status.installedCSV}'
Sep 16 04:17:06.834: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 subscription test-operator -o=jsonpath={.status.installedCSV}'
Sep 16 04:17:07.164: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:17:08.459: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:17:09.729: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:17:11.025: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:17:12.378: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:17:13.654: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:17:14.975: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:17:16.241: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:17:17.509: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:17:18.791: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:17:20.098: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:17:21.369: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:17:22.636: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:17:23.894: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:17:25.196: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:17:26.535: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:17:27.788: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:17:29.081: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:17:30.349: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:17:31.613: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:17:32.876: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:17:34.142: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:17:35.420: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:17:36.710: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:17:37.970: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:17:39.309: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:17:40.587: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:17:41.858: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:17:43.126: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:17:44.404: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:17:45.681: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:17:46.948: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:17:48.213: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:17:49.508: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:17:50.810: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:17:52.108: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:17:53.386: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:17:54.643: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:17:55.939: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:17:57.211: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:17:58.494: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:17:59.747: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:18:01.022: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig get -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3 -o=jsonpath={.status.phase}'
Sep 16 04:18:01.292: INFO: Running 'oc --namespace=e2e-test-olm-23440-nr6x5 --kubeconfig=/data/nan-kubeconfig delete -n e2e-test-olm-23440-nr6x5 csv amqstreams.v1.5.3'
[AfterEach] [sig-operator] an end user can use OLM
  github.com/openshift/origin/test/extended/util/client.go:133
Sep 16 04:18:01.638: INFO: Deleted {user.openshift.io/v1, Resource=users  e2e-test-olm-23440-nr6x5-user}, err: <nil>
Sep 16 04:18:01.674: INFO: Deleted {oauth.openshift.io/v1, Resource=oauthclients  e2e-client-e2e-test-olm-23440-nr6x5}, err: <nil>
Sep 16 04:18:01.713: INFO: Deleted {oauth.openshift.io/v1, Resource=oauthaccesstokens  5yfN1n7tSo6xsOaQK16KqwAAAAAAAAAA}, err: <nil>
[AfterEach] [sig-operator] an end user can use OLM
  github.com/openshift/origin/test/extended/util/client.go:134
Sep 16 04:18:01.713: INFO: Waiting up to 7m0s for all (but 100) nodes to be ready
STEP: Destroying namespace "e2e-test-olm-23440-nr6x5" for this suite.
Sep 16 04:18:01.839: INFO: Running AfterSuite actions on all nodes
Sep 16 04:18:01.839: INFO: Running AfterSuite actions on node 1

passed: (1m55s) 2020-09-16T08:18:01 "[sig-operator] an end user can use OLM can subscribe to the operator [Suite:openshift/conformance/parallel]"


Timeline:

Sep 16 08:16:07.410 I ns/openshift-marketplace pod/qe-app-registry-nvx4r node/ip-10-0-172-204.us-east-2.compute.internal reason/Created
Sep 16 08:16:07.410 I ns/openshift-marketplace pod/certified-operators-h6qts node/ip-10-0-172-204.us-east-2.compute.internal reason/Created
Sep 16 08:16:07.410 I ns/openshift-marketplace pod/redhat-marketplace-sdjmp node/ip-10-0-172-204.us-east-2.compute.internal reason/Created
Sep 16 08:16:07.410 I ns/openshift-marketplace pod/redhat-operators-jvjcr node/ip-10-0-172-204.us-east-2.compute.internal reason/Created
Sep 16 08:16:07.410 I ns/openshift-marketplace pod/community-operators-26h2q node/ip-10-0-172-204.us-east-2.compute.internal reason/Created
Sep 16 08:16:26.693 I ns/openshift-marketplace pod/5cd7e8e2cdeac06a85edfafc77c0230feeea931763c87b430f7535b1aekdp5c node/ reason/Created
Sep 16 08:16:26.710 I ns/openshift-marketplace job/5cd7e8e2cdeac06a85edfafc77c0230feeea931763c87b430f7535b1ae7cbfe reason/SuccessfulCreate Created pod: 5cd7e8e2cdeac06a85edfafc77c0230feeea931763c87b430f7535b1aekdp5c
Sep 16 08:16:26.710 I ns/openshift-marketplace pod/5cd7e8e2cdeac06a85edfafc77c0230feeea931763c87b430f7535b1aekdp5c node/ip-10-0-172-204.us-east-2.compute.internal reason/Scheduled
Sep 16 08:16:28.276 I ns/openshift-marketplace pod/5cd7e8e2cdeac06a85edfafc77c0230feeea931763c87b430f7535b1aekdp5c reason/AddedInterface Add eth0 [10.129.2.29/23]
Sep 16 08:16:28.592 I ns/openshift-marketplace pod/5cd7e8e2cdeac06a85edfafc77c0230feeea931763c87b430f7535b1aekdp5c node/ip-10-0-172-204.us-east-2.compute.internal container/util reason/Pulling image/quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:9b88ad66f452ebc48890200caad752199cbeff1d31b6740b09237e18faf4f3bf
Sep 16 08:16:35.201 I ns/openshift-marketplace pod/5cd7e8e2cdeac06a85edfafc77c0230feeea931763c87b430f7535b1aekdp5c node/ip-10-0-172-204.us-east-2.compute.internal container/util reason/Pulled image/quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:9b88ad66f452ebc48890200caad752199cbeff1d31b6740b09237e18faf4f3bf
Sep 16 08:16:35.316 I ns/openshift-marketplace pod/5cd7e8e2cdeac06a85edfafc77c0230feeea931763c87b430f7535b1aekdp5c node/ip-10-0-172-204.us-east-2.compute.internal container/util reason/Created
Sep 16 08:16:35.349 I ns/openshift-marketplace pod/5cd7e8e2cdeac06a85edfafc77c0230feeea931763c87b430f7535b1aekdp5c node/ip-10-0-172-204.us-east-2.compute.internal container/util reason/Started
Sep 16 08:16:36.315 I ns/openshift-marketplace pod/5cd7e8e2cdeac06a85edfafc77c0230feeea931763c87b430f7535b1aekdp5c node/ip-10-0-172-204.us-east-2.compute.internal container/pull reason/Pulling image/registry.redhat.io/amq7/amqstreams-rhel7-operator-metadata@sha256:0b98ed968b943454b4424ed4dd35b6c9bd8e4d958eaf1efeedfb605e1fe6eabd
Sep 16 08:16:39.170 I ns/openshift-marketplace pod/5cd7e8e2cdeac06a85edfafc77c0230feeea931763c87b430f7535b1aekdp5c node/ip-10-0-172-204.us-east-2.compute.internal container/pull reason/Pulled image/registry.redhat.io/amq7/amqstreams-rhel7-operator-metadata@sha256:0b98ed968b943454b4424ed4dd35b6c9bd8e4d958eaf1efeedfb605e1fe6eabd
Sep 16 08:16:39.294 I ns/openshift-marketplace pod/5cd7e8e2cdeac06a85edfafc77c0230feeea931763c87b430f7535b1aekdp5c node/ip-10-0-172-204.us-east-2.compute.internal container/pull reason/Created
Sep 16 08:16:39.322 I ns/openshift-marketplace pod/5cd7e8e2cdeac06a85edfafc77c0230feeea931763c87b430f7535b1aekdp5c node/ip-10-0-172-204.us-east-2.compute.internal container/pull reason/Started
Sep 16 08:16:40.323 I ns/openshift-marketplace pod/5cd7e8e2cdeac06a85edfafc77c0230feeea931763c87b430f7535b1aekdp5c node/ip-10-0-172-204.us-east-2.compute.internal container/extract reason/Pulling image/quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:785088e05c084b8ade6c7fb9547221f8ba3e0fb1108a4c40bd01420231785d09
Sep 16 08:16:59.617 I ns/openshift-marketplace pod/5cd7e8e2cdeac06a85edfafc77c0230feeea931763c87b430f7535b1aekdp5c node/ip-10-0-172-204.us-east-2.compute.internal container/extract reason/Pulled image/quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:785088e05c084b8ade6c7fb9547221f8ba3e0fb1108a4c40bd01420231785d09
Sep 16 08:16:59.715 I ns/openshift-marketplace pod/5cd7e8e2cdeac06a85edfafc77c0230feeea931763c87b430f7535b1aekdp5c node/ip-10-0-172-204.us-east-2.compute.internal container/extract reason/Created
Sep 16 08:16:59.752 I ns/openshift-marketplace pod/5cd7e8e2cdeac06a85edfafc77c0230feeea931763c87b430f7535b1aekdp5c node/ip-10-0-172-204.us-east-2.compute.internal container/extract reason/Started
Sep 16 08:17:00.537 I ns/openshift-marketplace job/5cd7e8e2cdeac06a85edfafc77c0230feeea931763c87b430f7535b1ae7cbfe reason/Completed Job completed
Sep 16 08:17:03.412 I ns/e2e-test-olm-23440-nr6x5 clusterserviceversion/amqstreams.v1.5.3 reason/RequirementsUnknown requirements not yet checked
Sep 16 08:17:03.810 I ns/e2e-test-olm-23440-nr6x5 clusterserviceversion/amqstreams.v1.5.3 reason/RequirementsUnknown requirements not yet checked (2 times)
Sep 16 08:17:05.365 I ns/e2e-test-olm-23440-nr6x5 clusterserviceversion/amqstreams.v1.5.3 reason/RequirementsNotMet one or more requirements couldn't be found
Sep 16 08:17:08.086 I ns/e2e-test-olm-23440-nr6x5 clusterserviceversion/amqstreams.v1.5.3 reason/AllRequirementsMet all requirements found, attempting install
Sep 16 08:17:09.843 I ns/e2e-test-olm-23440-nr6x5 clusterserviceversion/amqstreams.v1.5.3 reason/AllRequirementsMet all requirements found, attempting install (2 times)
Sep 16 08:17:10.362 I ns/e2e-test-olm-23440-nr6x5 deployment/amq-streams-cluster-operator-v1.5.3 reason/ScalingReplicaSet Scaled up replica set amq-streams-cluster-operator-v1.5.3-7c9cb96cff to 1
Sep 16 08:17:10.460 I ns/e2e-test-olm-23440-nr6x5 pod/amq-streams-cluster-operator-v1.5.3-7c9cb96cff-gspdp node/ reason/Created
Sep 16 08:17:10.500 I ns/e2e-test-olm-23440-nr6x5 replicaset/amq-streams-cluster-operator-v1.5.3-7c9cb96cff reason/SuccessfulCreate Created pod: amq-streams-cluster-operator-v1.5.3-7c9cb96cff-gspdp
Sep 16 08:17:10.500 I ns/e2e-test-olm-23440-nr6x5 clusterserviceversion/amqstreams.v1.5.3 reason/InstallSucceeded waiting for install components to report healthy
Sep 16 08:17:10.513 I ns/e2e-test-olm-23440-nr6x5 pod/amq-streams-cluster-operator-v1.5.3-7c9cb96cff-gspdp node/ip-10-0-172-204.us-east-2.compute.internal reason/Scheduled
Sep 16 08:17:11.452 I ns/e2e-test-olm-23440-nr6x5 clusterserviceversion/amqstreams.v1.5.3 reason/InstallWaiting installing: waiting for deployment amq-streams-cluster-operator-v1.5.3 to become ready: Waiting for rollout to finish: 0 of 1 updated replicas are available...\n
Sep 16 08:17:12.305 I ns/e2e-test-olm-23440-nr6x5 pod/amq-streams-cluster-operator-v1.5.3-7c9cb96cff-gspdp reason/AddedInterface Add eth0 [10.129.2.30/23]
Sep 16 08:17:12.637 I ns/e2e-test-olm-23440-nr6x5 pod/amq-streams-cluster-operator-v1.5.3-7c9cb96cff-gspdp node/ip-10-0-172-204.us-east-2.compute.internal container/cluster-operator reason/Pulling image/registry.redhat.io/amq7/amq-streams-rhel7-operator@sha256:8637549bae76119b18fd1361120d9f2c68086425cc8c4751c3b8204b3942a7d9
Sep 16 08:17:26.818 I ns/e2e-test-olm-23440-nr6x5 pod/amq-streams-cluster-operator-v1.5.3-7c9cb96cff-gspdp node/ip-10-0-172-204.us-east-2.compute.internal container/cluster-operator reason/Pulled image/registry.redhat.io/amq7/amq-streams-rhel7-operator@sha256:8637549bae76119b18fd1361120d9f2c68086425cc8c4751c3b8204b3942a7d9
Sep 16 08:17:26.927 I ns/e2e-test-olm-23440-nr6x5 pod/amq-streams-cluster-operator-v1.5.3-7c9cb96cff-gspdp node/ip-10-0-172-204.us-east-2.compute.internal container/cluster-operator reason/Created
Sep 16 08:17:26.954 I ns/e2e-test-olm-23440-nr6x5 pod/amq-streams-cluster-operator-v1.5.3-7c9cb96cff-gspdp node/ip-10-0-172-204.us-east-2.compute.internal container/cluster-operator reason/Started
Sep 16 08:17:45.752 W ns/openshift buildconfig/httpd-example reason/BuildConfigTriggerFailed error triggering Build for BuildConfig openshift/httpd-example: Internal error occurred: build config openshift/httpd-example has already instantiated a build for imageid image-registry.openshift-image-registry.svc:5000/openshift/httpd@sha256:98423673dad7c73cd336aa66f697cf46914b0f90d803e5f9fe25a2db220ca372
Sep 16 08:17:46.045 I ns/openshift pod/httpd-example-1-build node/ reason/Created
Sep 16 08:17:46.064 I ns/openshift pod/httpd-example-1-build node/ip-10-0-172-204.us-east-2.compute.internal reason/Scheduled
Sep 16 08:17:48.166 I ns/openshift pod/httpd-example-1-build reason/AddedInterface Add eth0 [10.129.2.31/23]
Sep 16 08:17:48.597 I ns/openshift pod/httpd-example-1-build node/ip-10-0-172-204.us-east-2.compute.internal container/git-clone reason/Pulling image/quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:cbb9b86254c594176ba546cb2e883ef47845e269794249cd3c3c5502fc9606a6
Sep 16 08:17:57.085 I ns/openshift pod/httpd-example-1-build node/ip-10-0-172-204.us-east-2.compute.internal container/git-clone reason/Pulled image/quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:cbb9b86254c594176ba546cb2e883ef47845e269794249cd3c3c5502fc9606a6
Sep 16 08:17:57.211 I ns/openshift pod/httpd-example-1-build node/ip-10-0-172-204.us-east-2.compute.internal container/git-clone reason/Created
Sep 16 08:17:57.248 I ns/openshift pod/httpd-example-1-build node/ip-10-0-172-204.us-east-2.compute.internal container/git-clone reason/Started
Sep 16 08:17:57.927 I ns/openshift pod/httpd-example-1-build node/ip-10-0-172-204.us-east-2.compute.internal container/manage-dockerfile reason/Pulled image/quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:cbb9b86254c594176ba546cb2e883ef47845e269794249cd3c3c5502fc9606a6
Sep 16 08:17:57.973 I ns/openshift build/httpd-example-1 reason/BuildStarted Build openshift/httpd-example-1 is now running
Sep 16 08:17:58.083 I ns/openshift pod/httpd-example-1-build node/ip-10-0-172-204.us-east-2.compute.internal container/manage-dockerfile reason/Created
Sep 16 08:17:58.119 I ns/openshift pod/httpd-example-1-build node/ip-10-0-172-204.us-east-2.compute.internal container/manage-dockerfile reason/Started
Sep 16 08:17:58.953 I ns/openshift pod/httpd-example-1-build node/ip-10-0-172-204.us-east-2.compute.internal container/sti-build reason/Pulled image/quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:cbb9b86254c594176ba546cb2e883ef47845e269794249cd3c3c5502fc9606a6
Sep 16 08:17:59.107 I ns/openshift pod/httpd-example-1-build node/ip-10-0-172-204.us-east-2.compute.internal container/sti-build reason/Created
Sep 16 08:17:59.131 I ns/openshift pod/httpd-example-1-build node/ip-10-0-172-204.us-east-2.compute.internal container/sti-build reason/Started
Sep 16 08:17:59.812 I ns/e2e-test-olm-23440-nr6x5 pod/amq-streams-cluster-operator-v1.5.3-7c9cb96cff-gspdp node/ip-10-0-172-204.us-east-2.compute.internal container/cluster-operator reason/Ready
Sep 16 08:17:59.952 I ns/openshift pod/httpd-example-1-build node/ip-10-0-172-204.us-east-2.compute.internal container/sti-build reason/Ready
Sep 16 08:18:00.110 I ns/e2e-test-olm-23440-nr6x5 clusterserviceversion/amqstreams.v1.5.3 reason/InstallSucceeded install strategy completed with no errors

1 pass, 0 skip (1m55s)

Comment 15 errata-xmlrpc 2020-10-27 16:15:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.